Subject: bug#26009: libpng-apng

From: ng0 <[email-masked]>
Date: Wed, 15 Mar 2017 10:46:39 +0000

Kei Kebreau transcribed 1.9K bytes:
> [email-masked] (Ludovic Courtès) writes:
> 
> > Kei Kebreau <[email-masked]> skribis:
> >
> >> Those tips helped quite a bit! Libpng-apng now builds reproducibly. Now
> >> the only issues are the CVE patch name not beginning with
> >> "libpng-apng"
> >
> > You can ignore this warning from ‘guix lint’.
> >
> >> and the sourceforge URL using "*.sourceforge.net/project" instead of
> >> "*.sourceforge.net/projects" (this detail leads to a 404 Error while
> >> linting).
> >
> > Can’t you change the URL as done in
> > 998ac26a1e4f025ac75147c3497453615bb32d40?
> 
> Yes, but libpng is already using a "mirror://sourceforge" URL. Also, the
> URL turned out not to be the actual issue. The real issue is that
> version 1.6.25 of libpng isn't present at either of the given source
> locations. I guess Guix has been using a local copy from my store or a
> cache tarball to build libpng-apng from source!

Can you share your additions to my patch? I'd like to apply last fixes
and send a new version.
When I packaged it, mirror:// did not work (or at least I assumed so,
this was the second reason for my mirror addition patch), so I used the
full url.

> > HTH!
> > Ludo’.